uszprintf(3)

NAME
uszprintf - Writes formatted data into a buffer, specifying size. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int uszprintf(char *buf, int size, const char *format, ...);

DESCRIPTION
This function writes formatted data into the output buffer, whose length in bytes is specified by `size' and which is guaranteed to be NULL terminated. Example:
   char buffer[10];
   int player_score;
   ...
   uszprintf(buffer, sizeof(buffer), "Your score is: %d", player_score);

RETURN VALUE
Returns the number of characters that would have been written without eventual truncation (like with usprintf), not including the terminating null character.

SEE ALSO
uconvert(3), usprintf(3), uvszprintf(3), exgui(3)